| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
IP_SDC_001_T Struct Reference
IP: SDC register block and driver

## Detailed Description

SD/MMC card Interface (SDC) register block structure.

Definition at line 51 of file sdc_001.h.

`#include "sdc_001.h"`

## Data Fields
__IO uint32_t | POWER
__IO uint32_t | CLOCK
__IO uint32_t | ARGUMENT
__IO uint32_t | COMMAND
__I uint32_t | RESPCMD
__I uint32_t | RESPONSE [4]
__IO uint32_t | DATATIMER
__IO uint32_t | DATALENGTH
__IO uint32_t | DATACTRL
__I uint32_t | DATACNT
__I uint32_t | STATUS
__O uint32_t | CLEAR
__IO uint32_t | MASK0
uint32_t | RESERVED0 [2]
__I uint32_t | FIFOCNT
uint32_t | RESERVED1 [13]
__IO uint32_t | FIFO [16]

## Field Documentation

__IO uint32_t ARGUMENT

Command argument register

Definition at line 54 of file sdc_001.h.

__O uint32_t CLEAR

Clear register

Definition at line 63 of file sdc_001.h.

__IO uint32_t CLOCK

Clock control regsiter

Definition at line 53 of file sdc_001.h.

__IO uint32_t COMMAND

Command register

Definition at line 55 of file sdc_001.h.

__I uint32_t DATACNT

Data count register

Definition at line 61 of file sdc_001.h.

__IO uint32_t DATACTRL

Data control register

Definition at line 60 of file sdc_001.h.

__IO uint32_t DATALENGTH

Data length register

Definition at line 59 of file sdc_001.h.

__IO uint32_t DATATIMER

Data timer register

Definition at line 58 of file sdc_001.h.

__IO uint32_t FIFO[16]

FIFO registers

Definition at line 68 of file sdc_001.h.

__I uint32_t FIFOCNT

FIFO count register

Definition at line 66 of file sdc_001.h.

__IO uint32_t MASK0

Mask 0 register

Definition at line 64 of file sdc_001.h.

__IO uint32_t POWER

Power Control register

Definition at line 52 of file sdc_001.h.

uint32_t RESERVED0[2]

Definition at line 65 of file sdc_001.h.

uint32_t RESERVED1[13]

Definition at line 67 of file sdc_001.h.

__I uint32_t RESPCMD

Command response register

Definition at line 56 of file sdc_001.h.

__I uint32_t RESPONSE[4]

Response registers

Definition at line 57 of file sdc_001.h.

__I uint32_t STATUS

Status register

Definition at line 62 of file sdc_001.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_ip/sdc_001.h